<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');

$a_ArBanco = new PlaEmpresaFN();
$a_ArBanco->setEliminado(-1);
$a_PlaEmpresaFN = $a_ArBanco->select();

$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;



 

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($a_ArBanco->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="35">
               <th width="4%" >Nro</th>
                <th width="5%" >empresa</th>
               
			   
				<th width="4%" >Estado&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Crea.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Crea.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_PlaEmpresaFN)>0){ ?>
              <? foreach ($a_PlaEmpresaFN as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
				<td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
				<td align="letf"><?=$o_objBean->getDescripcion()?></td>
				
				<td align="center"><?if($o_objBean->getEstado()=='A'){ echo "Activo"; } else {echo "Inactivo";} ?></td>
				<td align="center"><?=strtoupper($o_objBean->getUsuariocreacion())?></td>
                <td align="center"><?=$o_objBean->getFechacreacion()?></td>
                <td align="center" valign="top">
				   
                   <!--<img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('empresa/show/id/'.$o_objBean->getIdempresa());?>','block=001')">&nbsp;-->
                   <input type="image" name="Editar" title="Editar" src="/images/common/buttons/btnEdit.gif" onclick="location.href='<?php echo buildUrl('empresa/editempresa', "id=".$o_objBean->getIdempresa()) ?>'">&nbsp;
				   
				   
                   <? if(myUser::getUser()->getRoleId() == "sys.gen"){?>
                  	<input type="image" name="Eliminar"  title="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getIdempresa()?>','<?=$o_objBean->getIdempresa()?>')">&nbsp;
                   <? }?>
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?php echo $a_ArBanco->selectNumRows()?></td>
        </tr>
      </table>